# Configure the Proxmox provider
terraform {
  required_version = ">= 1.1.0"
  required_providers {
    proxmox = {
      source  = "{{ .Param "proxmox/provider-source" }}"
      version = "{{ .Param "proxmox/provider-version" }}"
    }
  }
}

provider "proxmox" {
    pm_tls_insecure = {{ .Param "proxmox/tls-insecure" }}
    pm_api_url = "{{ .ParamExpand "proxmox/api-url" }}"
    pm_password = "{{ .Param "proxmox/password" }}"
    pm_user = "{{ .Param "proxmox/user" }}"
{{- if ( .Param "proxmox/proxy-server" ) }}
    pm_proxy_server = "{{ .Param "proxmox/proxy-server" }}"{{ else }}{{ end }}
{{- if ( .Param "proxmox/otp" ) }}
    pm_otp = "{{ .Param "proxmox/otp" }}"{{ else }}
    pm_otp = "" # https://github.com/Telmate/terraform-provider-proxmox/issues/175{{ end }}
    pm_parallel = "{{ .Param "proxmox/parallel_create_limit" }}"
}
